using System.Collections;
using System.Collections.Generic;
using Nan.Scripts;
using UnityEngine;

public class PlayerGuard : MonoBehaviour
{

    [SerializeField] private SpriteRenderer guard;

    private PlayerStatus _status;

    public void Initialize(PlayerStatus status)
    {
        _status = status;
    }

    void Update()
    {
        if (_status == null)
            return;

        guard.color = new Color(1, 1, 1, _status.Defense);
    }
}
